package org.example.designpatterns.factory.interfaces.impl;

import org.example.designpatterns.factory.interfaces.IConnection;

public class ConnectionMySQL implements IConnection {

    private String host;
    private String puerto;
    private String usuario;
    private String password;

    public ConnectionMySQL() {
        this.host = "localhost";
        this.puerto = "3306";
        this.usuario = "root";
        this.password = "Jp0nt32023";
    }

    @Override
    public void conectar() {
        System.out.println("Se conécto a MySQL");
    }

    @Override
    public void desconectar() {
        System.out.println("Se desconécto de MySQL");
    }

    @Override
    public String toString() {
        return "ConnectionMySQL{" +
                "host='" + host + '\'' +
                ", puerto='" + puerto + '\'' +
                ", usuario='" + usuario + '\'' +
                ", password='" + password + '\'' +
                '}';
    }
}
